Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 28 Mar 2021 13:08:38 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I bought things from you that were supposed to be delivered at the 28th, which is today. I also received  a message that said it will arrive at Sunday 28th of March. But the items were delivered at the 26th of March and I was not able to receive  the items since I was not at home. So now I want to know: when will I finally receive my items? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2314266